couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Noah Slater <nsla...@apache.org>
Subject Re: can't upgrade from .10 to .11
Date Fri, 13 Aug 2010 12:13:40 GMT
If you are on Ubuntu, you should run:

	apt-get update

Then run:

	apt-get upgrade couchdb

That should upgrade it to the latest version for you.

You should be able to find documentation if you view this file:

	/usr/share/doc/couchdb

Most notably, the Debian package I built that I believe Ubuntu may still mirror from, versions
the data directories so that a new install of CouchDB will use its own database files, instead
of overwriting your old ones.

If, however, you want to install from source, then you should check out the README files in
the tarball you downloaded. Google around for tutorials on how to install CouchDB from source
on Ubuntu. There are plenty, including the one I wrote for the CouchDB book! If you have any
specific problems getting a source install to run, just post back to the mailing list. I would,
however, recommend that you try to get a package working for now.


Mime
View raw message